Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.script.groovy.buildernodes
Class BeanNode

    java.lang.Object
      org.nanocontainer.script.groovy.buildernodes.AbstractBuilderNode
          org.nanocontainer.script.groovy.buildernodes.BeanNode

All Implemented Interfaces:
  Serializable, BuilderNode

    public class BeanNode

extends AbstractBuilderNode

Creates on-the-spot Javabeans configurations and registers the result with the container via pico.registerCompoenntInstance.

Version:
  $Revision: 2695 $
Author:
  James Strachan, Paul Hammant, Aslak Hellesøy, Michael Rimov, Mauro Talevi
See Also:
  Serialized Form

Field Summary
`static String` | `BEAN_CLASS` Bean class attribute.
`static String` | `NODE_NAME` The name of the node we're handling.

Constructor Summary
`BeanNode()` Default constructor.

Method Summary
`protected Object` | `createBean(Map attributes)` Instantiates the bean and sets the appropriate attributes.
`Object` | `createNewNode(Object current, Map attributes)` Execute the handler for the given node builder.
`void` | `validateScriptedAttributes(Map specifiedAttributes)` Validates a given map of attributes as supplied by the GroovyNodeBuilder against the node's supported attributes.

Methods inherited from class org.nanocontainer.script.groovy.buildernodes.AbstractBuilderNode
`addAttribute, getNodeName, getSupportedAttributes, isAttribute, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NODE_NAME

    public static final String NODE_NAME

  The name of the node we're handling.

  See Also:
    Constant Field Values

### BEAN_CLASS

    public static final String BEAN_CLASS

  Bean class attribute.

  See Also:
    Constant Field Values

Constructor Detail

### BeanNode

    public BeanNode()

  Default constructor.

Method Detail

### createNewNode

    public Object createNewNode(Object current,
                                Map attributes)

  Description copied from interface: `BuilderNode`
  Execute the handler for the given node builder.

  Parameters:
    `current` - the current object. May be null for no parent container.
    `attributes` - Map attributes specified in the groovy script for the builder node. in for consistency with the Groovy Builder API. Normally set to null.
  Returns:
    Object

### createBean

    protected Object createBean(Map attributes)

  Instantiates the bean and sets the appropriate attributes. It then

  Parameters:
    `attributes` - Map
  Returns:
    Object resulting JavaBean.

### validateScriptedAttributes

    public void validateScriptedAttributes(Map specifiedAttributes)
                                    throws org.nanocontainer.script.NanoContainerMarkupException

  Validates a given map of attributes as supplied by the GroovyNodeBuilder against the node's supported attributes.

  This particular implementation checks all specified attribute keynames against the names supported in the node type. It does not type checking against the values passed in via the attributes.

  This version only checks for 'beanClass' and lets all other attributes through (since they become property values)

  Specified by:
    `validateScriptedAttributes` in interface `BuilderNode`
  Overrides:
    `validateScriptedAttributes` in class `AbstractBuilderNode`
  Parameters:
    `specifiedAttributes` - Map
  Throws:
    `org.nanocontainer.script.NanoContainerMarkupException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.